using System.Xml.Linq;

namespace CoverageFramework.Operator.Selector.C
{
	public class ParenthesisSelectorForC : ParenthesisSelector
	{
		protected override bool IsLeftParenthesis(XElement e)
		{
			return !e.HasElements && e.Value == "(";
		}

		protected override bool IsRightParenthesis(XElement e)
		{
			return !e.HasElements && e.Value == ")";
		}
	}
}